Bug 1829334 - Review Request: 3mux - Terminal multiplexer
Summary: Review Request: 3mux - Terminal multiplexer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1829337 1876242 1876243
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-29 12:05 UTC by Fabian Affolter
Modified: 2020-09-30 00:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-30 00:15:42 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-04-29 12:05:24 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/3mux.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/3mux-0.3.0-1.fc31.src.rpm

Project URL: https://github.com/aaronjanse/3mux

Description:
A terminal multiplexer inspired by i3.

Koji scratch build:
Fails due to missing dependency.

rpmlint output:
$ rpmlint 3mux-0.3.0-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint 3mux*
3mux.x86_64: W: no-manual-page-for-binary 3mux
3mux.x86_64: W: no-manual-page-for-binary fuzz
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-22 14:08:48 UTC
 Please bump to 1.0.1.

Comment 2 dan.cermak 2020-08-23 14:33:04 UTC
(In reply to Robert-André Mauchin 🐧 from comment #1)
>  Please bump to 1.0.1.

Note that upstream marked 1.0.1 as a pre-release.

Fabian, do you want to bump the version nevertheless or package 0.3.0?

Comment 3 Robert-André Mauchin 🐧 2020-08-27 15:27:39 UTC
 - I don't think it is necessary to include:

for cmd in fuzz; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done


 Main binary is 3mux.


 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 4 Gwyn Ciesla 2020-08-28 14:30:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/3mux

Comment 5 Fabian Affolter 2020-09-06 17:01:45 UTC
I will go with 1.0.1. There are some new dependencies unfortunately.

Comment 6 Fabian Affolter 2020-09-17 15:41:05 UTC
Thanks for the review and the review for the dependencies.

Comment 7 Fedora Update System 2020-09-25 18:59:51 UTC
FEDORA-2020-9751d52706 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9751d52706

Comment 8 Fedora Update System 2020-09-26 01:28:59 UTC
FEDORA-2020-9751d52706 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-9751d52706 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9751d52706

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-30 00:15:42 UTC
FEDORA-2020-9751d52706 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.